# EV3Control CMake config file
#
# This file sets the following variables:
# EV3Control_FOUND - Always TRUE.
# EV3Control_INCLUDE_DIRS - Directories containing the EV3Control include files.
# EV3Control_IDL_DIRS - Directories containing the EV3Control IDL files.
# EV3Control_LIBRARIES - Libraries needed to use EV3Control.
# EV3Control_DEFINITIONS - Compiler flags for EV3Control.
# EV3Control_VERSION - The version of EV3Control found.
# EV3Control_VERSION_MAJOR - The major version of EV3Control found.
# EV3Control_VERSION_MINOR - The minor version of EV3Control found.
# EV3Control_VERSION_REVISION - The revision version of EV3Control found.
# EV3Control_VERSION_CANDIDATE - The candidate version of EV3Control found.

message(STATUS "Found EV3Control-1.0.0")
set(EV3Control_FOUND TRUE)

find_package(<dependency> REQUIRED)

#set(EV3Control_INCLUDE_DIRS
#    "/usr/local/include/ev3control-1"
#    ${<dependency>_INCLUDE_DIRS}
#    )
#
#set(EV3Control_IDL_DIRS
#    "/usr/local/include/ev3control-1/idl")
set(EV3Control_INCLUDE_DIRS
    "/usr/local/include/"
    ${<dependency>_INCLUDE_DIRS}
    )
set(EV3Control_IDL_DIRS
    "/usr/local/include//idl")


if(WIN32)
    set(EV3Control_LIBRARIES
        "/usr/local/components/lib/libev3control.a"
        ${<dependency>_LIBRARIES}
        )
else(WIN32)
    set(EV3Control_LIBRARIES
        "/usr/local/components/lib/libev3control.so"
        ${<dependency>_LIBRARIES}
        )
endif(WIN32)

set(EV3Control_DEFINITIONS ${<dependency>_DEFINITIONS})

set(EV3Control_VERSION 1.0.0)
set(EV3Control_VERSION_MAJOR 1)
set(EV3Control_VERSION_MINOR 0)
set(EV3Control_VERSION_REVISION 0)
set(EV3Control_VERSION_CANDIDATE )

